Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 114 lines (113 sloc) 3.857 kb
9bec2d59 »
2009-12-07 before release
1 <?xml version="1.0"?>
2 <project
3 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
4 xmlns="http://maven.apache.org/POM/4.0.0"
5 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
6 <modelVersion>4.0.0</modelVersion>
7 <groupId>rubygems</groupId>
8 <artifactId>datamapper4rails</artifactId>
969df884 »
2010-08-02 next version
9 <version>0.5.3-SNAPSHOT</version>
9bec2d59 »
2009-12-07 before release
10 <packaging>gem</packaging>
11 <name><![CDATA[collection of datamapper related extensions]]></name>
12 <description><![CDATA[collection of datamapper related extensions. mostly needed to run within rails. the restful transactions is around filter for rails actions if needed to control such transaction on per action base otherwise use the rack extension from rack-datamapper. datamapper store is a session store for rails which uses datamapper as persistent layer and is just a wrapper around the datamapper session store from rack-datamapper. the generators produces datamapper models for your rails application.]]></description>
ef60ed6f »
2010-07-29 * switch over to use pom.xml as primary project configuration
13 <url>http://github.com/mkristian/datamapper4rails</url>
9bec2d59 »
2009-12-07 before release
14 <developers>
15 <developer>
16 <id>m.kristian</id>
17 <name>mkristian</name>
18 <email>m.kristian@web.de</email>
19 </developer>
20 </developers>
21 <licenses>
ef60ed6f »
2010-07-29 * switch over to use pom.xml as primary project configuration
22 <license>
23 <name>MIT-LICENSE</name>
24 <url>./MIT-LICENSE</url>
25 <distribution>repo</distribution>
26 </license>
9bec2d59 »
2009-12-07 before release
27 </licenses>
28 <dependencies>
29 <dependency>
30 <groupId>rubygems</groupId>
31 <artifactId>rack-datamapper</artifactId>
32 <version>[0.3.0,0.3.99999.99999)</version>
33 <type>gem</type>
34 <scope>compile</scope>
35 </dependency>
36 <dependency>
37 <groupId>rubygems</groupId>
38 <artifactId>rspec</artifactId>
39 <version>[1.3.0,1.3.99999.99999)</version>
40 <type>gem</type>
41 <scope>test</scope>
42 </dependency>
22e0f06c »
2010-06-29 no more Manifest.txt
43 <dependency>
44 <groupId>rubygems</groupId>
45 <artifactId>rake</artifactId>
46 <version>0.8.7</version>
47 <type>gem</type>
48 <scope>test</scope>
49 </dependency>
9bec2d59 »
2009-12-07 before release
50 </dependencies>
51 <repositories>
52 <repository>
ef60ed6f »
2010-07-29 * switch over to use pom.xml as primary project configuration
53 <id>rubygems-releases</id>
9bec2d59 »
2009-12-07 before release
54 <url>http://gems.saumya.de/releases</url>
55 </repository>
56 </repositories>
57 <properties>
58 <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
ef60ed6f »
2010-07-29 * switch over to use pom.xml as primary project configuration
59 <jruby.plugins.version>0.20.0</jruby.plugins.version>
9bec2d59 »
2009-12-07 before release
60 </properties>
61 <build>
62 <plugins>
63 <plugin>
64 <groupId>de.saumya.mojo</groupId>
65 <artifactId>gem-maven-plugin</artifactId>
66 <version>${jruby.plugins.version}</version>
67 <extensions>true</extensions>
eeff0421 »
2010-07-29 clean up pom, Rakefilem gemspec
68 <configuration>
69 <extraRdocFiles>History.txt,README.txt</extraRdocFiles>
70 <rdocOptions>--main,README.txt</rdocOptions>
71 <rubyforgeProject>datamapper4rail</rubyforgeProject>
72 <gemspecOverwrite>true</gemspecOverwrite>
73 </configuration>
ef60ed6f »
2010-07-29 * switch over to use pom.xml as primary project configuration
74 <executions>
75 <execution>
76 <id>version</id>
77 <phase>compile</phase>
78 <goals>
79 <goal>exec</goal>
80 </goals>
81 <configuration>
82 <script>
83 version = '${project.version}'.sub(/-SNAPSHOT/, '')
84 puts "module Datamapper4rails"
85 puts " VERSION = '#{version}'.freeze"
86 puts "end"
87 </script>
88 <outputFile>lib/datamapper4rails/version.rb</outputFile>
89 </configuration>
90 </execution>
91 </executions>
9bec2d59 »
2009-12-07 before release
92 </plugin>
93 <plugin>
94 <groupId>de.saumya.mojo</groupId>
95 <artifactId>rspec-maven-plugin</artifactId>
96 <version>${jruby.plugins.version}</version>
97 <executions>
98 <execution>
99 <goals><goal>test</goal></goals>
100 </execution>
101 </executions>
102 </plugin>
103 <plugin>
104 <artifactId>maven-compiler-plugin</artifactId>
105 <version>2.0.2</version>
106 <configuration>
107 <source>1.5</source>
108 <target>1.5</target>
109 </configuration>
110 </plugin>
111 </plugins>
112 </build>
113 </project>
Something went wrong with that request. Please try again.